## ark 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "19")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")
set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
project(ark VERSION ${KDE_APPLICATIONS_VERSION})

set(QT_MIN_VERSION 5.8.0)
set(KF5_MIN_VERSION 5.44.0)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

ecm_setup_version(${KDE_APPLICATIONS_VERSION}
                  VARIABLE_PREFIX ARK
                  VERSION_HEADER "ark_version.h")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KERFUFFLE)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Concurrent
    Core
    Gui
    Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Archive
                                                        Config
                                                        Crash
                                                        DBusAddons
                                                        DocTools
                                                        I18n
                                                        IconThemes
                                                        ItemModels
                                                        KIO
                                                        Service
                                                        Parts
                                                        Pty
                                                        WidgetsAddons)

find_package(Qt5Test ${QT_MIN_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
    PURPOSE "Required for tests"
    TYPE OPTIONAL)

if(NOT Qt5Test_FOUND)
    set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(LibArchive 3.2.0 REQUIRED)
set_package_properties(LibArchive PROPERTIES
                       URL "http://www.libarchive.org/"
                       DESCRIPTION "A library for dealing with a wide variety of archive file formats"
                       PURPOSE "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")

find_package(LibZip 1.3.0)
set_package_properties(LibZip PROPERTIES
                       URL "https://nih.at/libzip/"
                       DESCRIPTION "A library for handling zip archives"
                       PURPOSE "Optional for zip archives.")

find_package(SharedMimeInfo QUIET)
set_package_properties(SharedMimeInfo PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "Required for archive formats without an official mimetype.")

option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
if (WITH_TEST_COVERAGE)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} --coverage")
endif (WITH_TEST_COVERAGE)

set(SUPPORTED_ARK_MIMETYPES "")

add_definitions(-DTRANSLATION_DOMAIN="ark")
# Until kf5 5.56 kconfig had some header which used Q_FOREACH
# Q_FOREACH will be deprecated/removed in qt6. With QT_NO_FOREACH we prepare the migration to qt6.
if (KF5Config_VERSION VERSION_GREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
endif()

add_subdirectory(plugins)
add_subdirectory(kerfuffle)
add_subdirectory(part)
add_subdirectory(app)
add_subdirectory(doc)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ki18n_install(po)
kdoctools_install(po)

if (NOT ECM_VERSION VERSION_LESS "5.59.0")
    install(FILES ark.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES ark.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kerfuffle/CMakeLists.txt ===
########### next target ###############

set(kerfuffle_SRCS
    archiveformat.cpp
    archive_kerfuffle.cpp
    archiveinterface.cpp
    extractionsettingspage.cpp
    generalsettingspage.cpp
    previewsettingspage.cpp
    settingsdialog.cpp
    settingspage.cpp
    jobs.cpp
    adddialog.cpp
    compressionoptionswidget.cpp
    createdialog.cpp
    extractiondialog.cpp
    propertiesdialog.cpp
    queries.cpp
    addtoarchive.cpp
    cliinterface.cpp
    cliproperties.cpp
    mimetypes.cpp
    plugin.cpp
    pluginmanager.cpp
    pluginsettingspage.cpp
    archiveentry.cpp
    options.cpp
)

kconfig_add_kcfg_files(kerfuffle_SRCS settings.kcfgc GENERATE_MOC)

ki18n_wrap_ui(kerfuffle_SRCS
    createdialog.ui
    extractiondialog.ui
    extractionsettingspage.ui
    generalsettingspage.ui
    pluginsettingspage.ui
    previewsettingspage.ui
    propertiesdialog.ui
    compressionoptionswidget.ui
)

ecm_qt_declare_logging_category(kerfuffle_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.kerfuffle)

add_library(kerfuffle SHARED ${kerfuffle_SRCS})
generate_export_header(kerfuffle BASE_NAME kerfuffle)

if (APPLE)
   target_compile_definitions(kerfuffle PRIVATE -DDEPENDENCY_TOOL="otool")
   target_compile_definitions(kerfuffle PRIVATE -DDEPENDENCY_TOOL_ARGS="-L")
else()
   target_compile_definitions(kerfuffle PRIVATE -DDEPENDENCY_TOOL="ldd")
endif()

target_link_libraries(kerfuffle
PUBLIC
    KF5::IconThemes
    KF5::Pty
    KF5::Service
    KF5::I18n
    KF5::WidgetsAddons
PRIVATE
    Qt5::Concurrent
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
)

set_target_properties(kerfuffle PROPERTIES VERSION ${KERFUFFLE_VERSION_STRING} SOVERSION ${KERFUFFLE_SOVERSION})

install(TARGETS kerfuffle ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

install(FILES kerfufflePlugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
install(FILES ark.kcfg                DESTINATION ${KDE_INSTALL_KCFGDIR})

install(FILES mime/kerfuffle.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
if(SharedMimeInfo_FOUND)
    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif()

=== part/CMakeLists.txt ===
set(arkpart_PART_SRCS
    factory.cpp
    part.cpp
    infopanel.cpp
    arkviewer.cpp
    archivemodel.cpp
    archivesortfiltermodel.cpp
    archiveview.cpp
    jobtracker.cpp
    overwritedialog.cpp
    )

qt5_add_resources(arkpart_PART_SRCS arkpart.qrc)

ecm_qt_declare_logging_category(arkpart_PART_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.part)

qt5_add_dbus_adaptor(arkpart_PART_SRCS dnddbusinterface.xml part.h Ark::Part)

ki18n_wrap_ui(arkpart_PART_SRCS
    arkviewer.ui
    infopanel.ui
    jobtracker.ui)

add_library(arkpart MODULE ${arkpart_PART_SRCS})

target_link_libraries(arkpart kerfuffle KF5::Parts KF5::KIOFileWidgets KF5::ItemModels)

configure_file(
            ${CMAKE_CURRENT_SOURCE_DIR}/ark_part.desktop.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop
)

kcoreaddons_desktop_to_json(arkpart ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop SERVICE_TYPES kpart.desktop browserview.desktop)

install(TARGETS arkpart DESTINATION ${KDE_INSTALL_PLUGINDIR})

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ark_part.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES ark_viewer.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/ark)

=== autotests/plugins/CMakeLists.txt ===
add_subdirectory(clizipplugin)
add_subdirectory(cli7zplugin)
add_subdirectory(clirarplugin)
add_subdirectory(cliunarchiverplugin)

=== plugins/cliplugin-example/CMakeLists.txt ===
set(kerfuffle_cli_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_cli_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.cliexample)

kerfuffle_add_plugin(kerfuffle_cli ${kerfuffle_cli_SRCS})

=== plugins/libarchive/CMakeLists.txt ===
include_directories(${LibArchive_INCLUDE_DIRS})

if(NOT LibArchive_VERSION VERSION_LESS "3.3.3")
  set(ENABLE_ZSTD_SUPPORT ON BOOL)
endif()

########### next target ###############
set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "application/x-tar;application/x-compressed-tar;application/x-bzip-compressed-tar;application/x-tarz;application/x-xz-compressed-tar;")
set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "${SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES}application/x-lzma-compressed-tar;application/x-lzip-compressed-tar;application/x-tzo;application/x-lrzip-compressed-tar;application/x-lz4-compressed-tar;")
set(SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES "application/vnd.debian.binary-package;application/x-deb;application/x-cd-image;application/x-bcpio;application/x-cpio;application/x-cpio-compressed;application/x-sv4cpio;application/x-sv4crc;")
set(SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES "${SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES}application/x-rpm;application/x-source-rpm;application/vnd.ms-cab-compressed;application/x-xar;application/x-iso9660-appimage;application/x-archive;")

if(ENABLE_ZSTD_SUPPORT)
    set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "${SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES}application/x-zstd-compressed-tar;")
endif()

set(INSTALLED_LIBARCHIVE_PLUGINS "")

set(kerfuffle_libarchive_readonly_SRCS libarchiveplugin.cpp readonlylibarchiveplugin.cpp ark_debug.cpp)
set(kerfuffle_libarchive_readwrite_SRCS libarchiveplugin.cpp readwritelibarchiveplugin.cpp ark_debug.cpp)
set(kerfuffle_libarchive_SRCS ${kerfuffle_libarchive_readonly_SRCS} readwritelibarchiveplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_libarchive_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.libarchive)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_READONLY_MIMETYPES
    "application/x-deb\",
    \"application/x-cd-image\",
    \"application/x-bcpio\",
    \"application/x-cpio\",
    \"application/x-cpio-compressed\",
    \"application/x-sv4cpio\",
    \"application/x-sv4crc\",
    \"application/x-rpm\",
    \"application/x-source-rpm\",
    \"application/vnd.debian.binary-package\",
    \"application/vnd.ms-cab-compressed\",
    \"application/x-xar\",
    \"application/x-iso9660-appimage\",
    \"application/x-archive")

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_READWRITE_MIMETYPES
    "application/x-tar\",
    \"application/x-compressed-tar\",
    \"application/x-bzip-compressed-tar\",
    \"application/x-tarz\",
    \"application/x-xz-compressed-tar\",
    \"application/x-lzma-compressed-tar\",
    \"application/x-lzip-compressed-tar\",
    \"application/x-tzo\",
    \"application/x-lrzip-compressed-tar\",
    \"application/x-lz4-compressed-tar")

if(ENABLE_ZSTD_SUPPORT)
    set(SUPPORTED_READWRITE_MIMETYPES
        "${SUPPORTED_READWRITE_MIMETYPES}\",
        \"application/x-zstd-compressed-tar")
endif()

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libarchive_readonly.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libarchive_readonly.json)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libarchive.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libarchive.json)

kerfuffle_add_plugin(kerfuffle_libarchive_readonly ${kerfuffle_libarchive_readonly_SRCS})
kerfuffle_add_plugin(kerfuffle_libarchive ${kerfuffle_libarchive_readwrite_SRCS})

if(ENABLE_ZSTD_SUPPORT)
    target_compile_definitions(kerfuffle_libarchive PRIVATE -DHAVE_ZSTD_SUPPORT)
endif()

target_link_libraries(kerfuffle_libarchive_readonly ${LibArchive_LIBRARIES})
target_link_libraries(kerfuffle_libarchive ${LibArchive_LIBRARIES})

set(INSTALLED_LIBARCHIVE_PLUGINS "${INSTALLED_LIBARCHIVE_PLUGINS}kerfuffle_libarchive_readonly;")
set(INSTALLED_LIBARCHIVE_PLUGINS "${INSTALLED_LIBARCHIVE_PLUGINS}kerfuffle_libarchive;")

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES}${SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}${INSTALLED_LIBARCHIVE_PLUGINS}" PARENT_SCOPE)

find_program(LRZIP lrzip)
if(LRZIP)
    message(STATUS "Found lrzip executable: ${LRZIP}")
else()
    message(WARNING "Could not find the lrzip executable. Ark requires lrzip to handle the tar.lrz archive format.")
endif()

find_program(LZOP lzop)
if(LZOP)
    message(STATUS "Found lzop executable: ${LZOP}")
else()
    message(WARNING "Could not find the lzop executable. Ark requires lzop to handle the tar.lzo archive format if libarchive >= 3.3 has been compiled without liblzo2 support.")
endif()

find_program(ZSTD zstd)
if(ZSTD)
    message(STATUS "Found zstd executable: ${ZSTD}")
else()
    message(WARNING "Could not find the zstd executable. Ark requires zstd to handle the tar.zst archive format if libarchive >= 3.3.3 has been compiled without libzstd support.")
endif()

=== debian/changelog ===
ark (4:19.12.3-0ubuntu1.2) focal-security; urgency=medium

  * SECURITY UPDATE: maliciously crafted TAR archive with symlinks can
    install files outside the extraction directory. (LP: #1893465)
    - 002-CVE-2020-24654-tar-symlinks-outside-extraction-directory.patch
    - CVE-2020-24654
    - Thanks to Fabian Vogt for reporting this issue and for fixing it.

 -- vishnunaini <vishnu@vishnunaini.com>  Fri, 28 Aug 2020 22:12:54 +0530

ark (4:19.12.3-0ubuntu1.1) focal-security; urgency=medium

  * SECURITY UPDATE: Ark: maliciously crafted archive can install
    files outside the extraction directory.
    - 001-maliciously-crafted-archive-can-install-files-outside-the-extraction-directory.patch
    - CVE-2020-16116
    - Thanks to Dominik Penner for finding and reporting this issue and
      thanks to Elvis Angelaccio and Albert Astals Cid for fixing it.

 -- v.naini <vishnu@vishnunaini.com>  Thu, 30 Jul 2020 23:10:55 +0530

ark (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:03:32 +0000

ark (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:15:30 +0000

ark (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:49:19 +0000

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.44.0~),
               gettext,
               libarchive-dev (>= 3.2.0~),
               libbz2-dev,
               libkf5archive-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5crash-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5itemmodels-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5parts-dev (>= 5.44.0~),
               libkf5pty-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               shared-mime-info,
               zlib1g-dev,
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Depends: ${misc:Depends}, ${shlibs:Depends}, kinit
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	$(overridden_command)
	find debian/ark -name '*.so' -type l -delete

override_dh_auto_test:
	# Disable auto tests at build time
	:

## ark 20.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required (VERSION 3.0)
 
 # KDE Application Version, managed by release script
-set (KDE_APPLICATIONS_VERSION_MAJOR "19")
-set (KDE_APPLICATIONS_VERSION_MINOR "12")
-set (KDE_APPLICATIONS_VERSION_MICRO "3")
-set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-project(ark VERSION ${KDE_APPLICATIONS_VERSION})
+set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+project(ark VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION 5.8.0)
-set(KF5_MIN_VERSION 5.44.0)
+set(QT_MIN_VERSION 5.10.0)
+set(KF5_MIN_VERSION 5.70.0)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -24,7 +24,7 @@
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
-ecm_setup_version(${KDE_APPLICATIONS_VERSION}
+ecm_setup_version(${RELEASE_SERVICE_VERSION}
                   VARIABLE_PREFIX ARK
                   VERSION_HEADER "ark_version.h")
 
@@ -42,7 +42,6 @@
                                                         DBusAddons
                                                         DocTools
                                                         I18n
-                                                        IconThemes
                                                         ItemModels
                                                         KIO
                                                         Service
@@ -59,9 +58,9 @@
     set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
 endif()
 
-find_package(LibArchive 3.2.0 REQUIRED)
+find_package(LibArchive 3.3.3 REQUIRED)
 set_package_properties(LibArchive PROPERTIES
-                       URL "http://www.libarchive.org/"
+                       URL "https://www.libarchive.org/"
                        DESCRIPTION "A library for dealing with a wide variety of archive file formats"
                        PURPOSE "Required for among others tar, tar.gz, tar.bz2 formats in Ark.")
 
@@ -70,11 +69,6 @@
                        URL "https://nih.at/libzip/"
                        DESCRIPTION "A library for handling zip archives"
                        PURPOSE "Optional for zip archives.")
-
-find_package(SharedMimeInfo QUIET)
-set_package_properties(SharedMimeInfo PROPERTIES
-                       TYPE OPTIONAL
-                       PURPOSE "Required for archive formats without an official mimetype.")
 
 option(WITH_TEST_COVERAGE "Build with test coverage support" OFF)
 if (WITH_TEST_COVERAGE)

=== debian/changelog ===
ark (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - fixes CVE-2020-24654 (Closes: #969437)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 16:19:56 +0200

ark (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Fix-vulnerability-to-path-traversal-attacks.patch: drop,
      backported from upstream
  * Update the build dependencies according to the upstream build system:
    - bump the KF5 packages to 5.70.0
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 08:38:25 +0200

ark (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Backport upstream commit 0df592524fed305d6fbe74ddf8a196bc9ffdb92f to fix
    vulnerability to path traversal attacks (CVE-2020-16116); patch
    upstream_Fix-vulnerability-to-path-traversal-attacks.patch.
  * CI: disable build path variations, as not well handled with ark by the
    current toolchain.
  * Add Rules-Requires-Root: no.
  * Change an internal hostname of an old Ubuntu changelog entry to
    ubuntu@ubuntu.com to avoid lintian issues.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Jul 2020 17:11:50 +0200

ark (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt5 packages to 5.10.0
    - bump the KF5 packages to 5.61.0
    - bump libarchive-dev to 3.3.3
    - drop libkf5iconthemes-dev, and shared-mime-info, no more needed
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 26 Apr 2020 12:18:32 +0200

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf5archive-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5crash-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5doctools-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5itemmodels-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5parts-dev (>= 5.70.0~),
               libkf5pty-dev (>= 5.70.0~),
               libkf5service-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.10.0~),
               zlib1g-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Depends: ${misc:Depends}, ${shlibs:Depends}, kinit
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	find debian/ark -name '*.so' -type l -delete

override_dh_auto_test:
	# Disable auto tests at build time
	:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## ark 20.12.0

=== plugins/clirarplugin/CMakeLists.txt ===
########### next target ###############

# TODO: drop application/x-rar alias once distributions ship shared-mime-info 1.7
set(SUPPORTED_CLIRAR_MIMETYPES "application/vnd.rar;application/x-rar;")

set(kerfuffle_clirar_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_clirar_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.clirar)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES
    "application/vnd.rar\",
    \"application/x-rar")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_clirar.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clirar.json)

kerfuffle_add_plugin(kerfuffle_clirar ${kerfuffle_clirar_SRCS})

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLIRAR_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_clirar;" PARENT_SCOPE)

find_program(UNRAR unrar)
if(UNRAR)
    message(STATUS "Found unrar executable: ${UNRAR}")
else()
    message(WARNING "Could not find the unrar executable. Ark requires unrar or unar to extract RAR archives.")
endif()

find_program(RAR rar)
if(RAR)
    message(STATUS "Found rar executable: ${RAR}")
else()
    message(WARNING "Could not find the rar executable. Ark won't be able to create or edit RAR archives.")
endif()

=== debian/changelog ===
ark (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update d/upstream/metadata.
  * Bump Standards-Version to 4.5.1 (no change required).

 -- Norbert Preining <norbert@preining.info>  Sat, 19 Dec 2020 17:45:28 +0900

=== debian/control ===
Source: ark
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libarchive-dev (>= 3.3.3~),
               libbz2-dev,
               libkf5archive-dev (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5crash-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5itemmodels-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5pty-dev (>= 5.71.0~),
               libkf5service-dev (>= 5.71.0~),
               libkf5widgetsaddons-dev (>= 5.71.0~),
               liblzma-dev,
               libzip-dev (>= 1.3.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

Package: ark
Section: utils
Architecture: any
Recommends: bzip2, p7zip-full, unar, unzip, zip
Suggests: rar, unrar | unrar-free
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Description: archive utility
 Ark manages various archive formats, including tar, gzip, bzip2, rar and zip,
 as well as CD-ROM images.  Ark can be used to browse, extract, create, and
 modify archives.
 .
 This package is part of the KDE SC utilities module.

## ark 20.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(ark VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION 5.10.0)
-set(KF5_MIN_VERSION 5.70.0)
+set(QT_MIN_VERSION 5.12.0)
+set(KF5_MIN_VERSION 5.71.0)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
@@ -80,11 +80,8 @@
 set(SUPPORTED_ARK_MIMETYPES "")
 
 add_definitions(-DTRANSLATION_DOMAIN="ark")
-# Until kf5 5.56 kconfig had some header which used Q_FOREACH
-# Q_FOREACH will be deprecated/removed in qt6. With QT_NO_FOREACH we prepare the migration to qt6.
-if (KF5Config_VERSION VERSION_GREATER "5.56.0")
-        add_definitions(-DQT_NO_FOREACH)
-endif()
+add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
 
 add_subdirectory(plugins)
 add_subdirectory(kerfuffle)
@@ -99,10 +96,6 @@
 ki18n_install(po)
 kdoctools_install(po)
 
-if (NOT ECM_VERSION VERSION_LESS "5.59.0")
-    install(FILES ark.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES ark.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
+install(FILES ark.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

add_subdirectory(app)
add_subdirectory(testhelper)
add_subdirectory(kerfuffle)
add_subdirectory(plugins)

=== kerfuffle/CMakeLists.txt ===
--- 
+++ 
@@ -57,9 +57,7 @@
 
 target_link_libraries(kerfuffle
 PUBLIC
-    KF5::IconThemes
     KF5::Pty
-    KF5::Service
     KF5::I18n
     KF5::WidgetsAddons
 PRIVATE
@@ -75,8 +73,3 @@
 
 install(FILES kerfufflePlugin.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})
 install(FILES ark.kcfg                DESTINATION ${KDE_INSTALL_KCFGDIR})
-
-install(FILES mime/kerfuffle.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
-if(SharedMimeInfo_FOUND)
-    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
-endif()

=== plugins/clizipplugin/CMakeLists.txt ===
########### next target ###############

set(SUPPORTED_CLIZIP_MIMETYPES "application/x-java-archive;application/zip;")

set(kerfuffle_clizip_SRCS cliplugin.cpp)

ecm_qt_declare_logging_category(kerfuffle_clizip_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.clizip)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES
    "application/x-java-archive\",
    \"application/zip")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_clizip.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_clizip.json)

kerfuffle_add_plugin(kerfuffle_clizip ${kerfuffle_clizip_SRCS})

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_CLIZIP_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}kerfuffle_clizip;" PARENT_SCOPE)

find_program(UNZIP unzip)
if(UNZIP)
    message(STATUS "Found unzip executable: ${UNZIP}")
else()
    message(WARNING "Could not find the unzip executable. Ark requires unzip or 7z to extract zip archives.")
endif()

find_program(ZIP zip)
if(ZIP)
    message(STATUS "Found zip executable: ${ZIP}")
else()
    message(WARNING "Could not find the zip executable. Ark requires zip or 7z to create or edit zip archives.")
endif()

=== plugins/libarchive/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,11 @@
 include_directories(${LibArchive_INCLUDE_DIRS})
-
-if(NOT LibArchive_VERSION VERSION_LESS "3.3.3")
-  set(ENABLE_ZSTD_SUPPORT ON BOOL)
-endif()
 
 ########### next target ###############
 set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "application/x-tar;application/x-compressed-tar;application/x-bzip-compressed-tar;application/x-tarz;application/x-xz-compressed-tar;")
 set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "${SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES}application/x-lzma-compressed-tar;application/x-lzip-compressed-tar;application/x-tzo;application/x-lrzip-compressed-tar;application/x-lz4-compressed-tar;")
 set(SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES "application/vnd.debian.binary-package;application/x-deb;application/x-cd-image;application/x-bcpio;application/x-cpio;application/x-cpio-compressed;application/x-sv4cpio;application/x-sv4crc;")
 set(SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES "${SUPPORTED_LIBARCHIVE_READONLY_MIMETYPES}application/x-rpm;application/x-source-rpm;application/vnd.ms-cab-compressed;application/x-xar;application/x-iso9660-appimage;application/x-archive;")
-
-if(ENABLE_ZSTD_SUPPORT)
-    set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "${SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES}application/x-zstd-compressed-tar;")
-endif()
+set(SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES "${SUPPORTED_LIBARCHIVE_READWRITE_MIMETYPES}application/x-zstd-compressed-tar;")
 
 set(INSTALLED_LIBARCHIVE_PLUGINS "")
 
@@ -55,13 +48,8 @@
     \"application/x-lzip-compressed-tar\",
     \"application/x-tzo\",
     \"application/x-lrzip-compressed-tar\",
-    \"application/x-lz4-compressed-tar")
-
-if(ENABLE_ZSTD_SUPPORT)
-    set(SUPPORTED_READWRITE_MIMETYPES
-        "${SUPPORTED_READWRITE_MIMETYPES}\",
-        \"application/x-zstd-compressed-tar")
-endif()
+    \"application/x-lz4-compressed-tar\",
+    \"application/x-zstd-compressed-tar")
 
 configure_file(
     ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libarchive_readonly.json.cmake
@@ -73,10 +61,6 @@
 
 kerfuffle_add_plugin(kerfuffle_libarchive_readonly ${kerfuffle_libarchive_readonly_SRCS})
 kerfuffle_add_plugin(kerfuffle_libarchive ${kerfuffle_libarchive_readwrite_SRCS})
-
-if(ENABLE_ZSTD_SUPPORT)
-    target_compile_definitions(kerfuffle_libarchive PRIVATE -DHAVE_ZSTD_SUPPORT)
-endif()
 
 target_link_libraries(kerfuffle_libarchive_readonly ${LibArchive_LIBRARIES})
 target_link_libraries(kerfuffle_libarchive ${LibArchive_LIBRARIES})

=== plugins/libzipplugin/CMakeLists.txt ===
include(CheckSymbolExists)

include_directories(${LibZip_INCLUDE_DIRS})

set(SUPPORTED_LIBZIP_MIMETYPES "application/zip;")

set(INSTALLED_LIBZIP_PLUGINS "")

set(kerfuffle_libzip_SRCS libzipplugin.cpp ark_debug.cpp)

ecm_qt_declare_logging_category(kerfuffle_libzip_SRCS
                                HEADER ark_debug.h
                                IDENTIFIER ARK
                                CATEGORY_NAME ark.libzip)

# NOTE: the first double-quotes of the first mime and the last
# double-quotes of the last mime must NOT be escaped.
set(SUPPORTED_MIMETYPES "application/zip")

# TODO: replace with version-based check once there is a new libzip release with zstd support
check_symbol_exists(ZIP_CM_ZSTD "zip.h" HAVE_ZIP_CM_ZSTD)
if (HAVE_ZIP_CM_ZSTD)
    set(ZIP_CM_ZSTD_JSON_LINE "\"Zstd\": \"Zstd\",")
endif()

find_package(ZLIB REQUIRED)
set_package_properties(ZLIB PROPERTIES
                       URL "https://www.zlib.net/"
                       DESCRIPTION "The Zlib compression library"
                       PURPOSE "Required for integrity check in libzip plugin")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/kerfuffle_libzip.json.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/kerfuffle_libzip.json)

kerfuffle_add_plugin(kerfuffle_libzip ${kerfuffle_libzip_SRCS})

target_link_libraries(kerfuffle_libzip KF5::KIOCore ${LibZip_LIBRARIES} ${ZLIB_LIBRARIES})

set(INSTALLED_LIBZIP_PLUGINS "${INSTALLED_LIBZIP_PLUGINS}kerfuffle_libzip;")

set(SUPPORTED_ARK_MIMETYPES "${SUPPORTED_ARK_MIMETYPES}${SUPPORTED_LIBZIP_MIMETYPES}" PARENT_SCOPE)
set(INSTALLED_KERFUFFLE_PLUGINS "${INSTALLED_KERFUFFLE_PLUGINS}${INSTALLED_LIBZIP_PLUGINS}" PARENT_SCOPE)

=== autotests/plugins/cliunarchiverplugin/CMakeLists.txt ===
set(RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

include_directories(${CMAKE_SOURCE_DIR}/plugins/cliunarchiverplugin/)

file(COPY ${CMAKE_BINARY_DIR}/plugins/cliunarchiverplugin/kerfuffle_cliunarchiver.json
     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

ecm_add_test(
    cliunarchivertest.cpp
    ${CMAKE_SOURCE_DIR}/plugins/cliunarchiverplugin/cliplugin.cpp
    ${CMAKE_BINARY_DIR}/plugins/cliunarchiverplugin/ark_debug.cpp
    LINK_LIBRARIES testhelper kerfuffle Qt5::Test
    TEST_NAME cliunarchivertest
    NAME_PREFIX plugins-)

# cliunarchiver plugin needs exceptions enabled
kde_target_enable_exceptions(cliunarchivertest PRIVATE)

=== debian/changelog ===
ark (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.
  * Update upstream GPG signing key.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 12:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                zlib1g-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ark
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ark.git

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	find debian/ark -name '*.so' -type l -delete
 
 override_dh_auto_test:

## ark 20.12.3

=== debian/changelog ===
ark (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:14:14 +0000

## ark 21.08.1

=== debian/changelog ===
ark (4:21.08.1-0ubuntu2) impish; urgency=medium

  * Cherry-pick upstream bugfix patch due in 21.08.2:
    - d/p/upstream_fix-zombie-dolphin-process-after-context-menu-use.patch
      https://bugs.kde.org/441813

 -- Rik Mills <rikmills@kde.org>  Thu, 30 Sep 2021 11:41:35 +0100

ark (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:02 +0100

ark (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:56:58 +0100

ark (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:49:19 +0100

ark (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 18:32:29 +0100

ark (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:37:44 +0100

ark (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:33:50 +0100

ark (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:00:52 +0100

ark (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:28:27 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.12.0~),
-               zlib1g-dev
+               zlib1g-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/

## ark 21.08.3

=== debian/changelog ===
ark (4:21.08.3-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:42:05 +0800

ark (4:21.08.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 05 Nov 2021 09:44:54 +0900

ark (4:21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:50:59 +0900

ark (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:42:18 +0900

ark (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Drop Kubuntu from maintainer name.
  * Drop Modestas, George, Eshat, Max from uploaders, thanks for your
    work.
  * Add myself to uploaders.
  * Update dependencies according to cmake.

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 13:46:20 +0900
